package com.qy.worksheetsystem.service;

import java.util.Map;

public interface FeishuAuthorizeService {
    /**
     * 构造网页授权链接
     * @param redirect_uri
     * @param state
     * @return
     */
    public String authorize(String redirect_uri, String state);
    /**
     * 获取 user_access_token
     * @param redirect_uri
     * @param code
     * @return
     */
    public String getUserAccessToken(String redirect_uri ,String code);

    public Map<String,String> getUserInfo(String redirect_uri,String code);
}
